import { Completion, snippetCompletion } from "@codemirror/autocomplete";

const mathKeywordList:Completion[] = [
    {"displayLabel": "\\Arrowvert", "label": "\\Arrowvert", "type": "constant"}, {"displayLabel": "\\Bbbk", "label": "\\Bbbk", "type": "constant"}, {"displayLabel": "\\Big", "label": "\\Big", "type": "constant"}, {"displayLabel": "\\Bigg", "label": "\\Bigg", "type": "constant"}, {"displayLabel": "\\Biggl", "label": "\\Biggl", "type": "constant"}, {"displayLabel": "\\Biggr", "label": "\\Biggr", "type": "constant"}, {"displayLabel": "\\Bigl", "label": "\\Bigl", "type": "constant"}, {"displayLabel": "\\Bigm", "label": "\\Bigm", "type": "constant"}, {"displayLabel": "\\Bigr", "label": "\\Bigr", "type": "constant"}, {"displayLabel": "\\Box", "label": "\\Box", "type": "constant"}, {"displayLabel": "\\Bumpeq", "label": "\\Bumpeq", "type": "constant"}, {"displayLabel": "\\Cap", "label": "\\Cap", "type": "constant"}, {"displayLabel": "\\Cup", "label": "\\Cup", "type": "constant"}, {"displayLabel": "\\Delta", "label": "\\Delta", "type": "constant"}, {"displayLabel": "\\Downarrow", "label": "\\Downarrow", "type": "constant"}, {"displayLabel": "\\Finv", "label": "\\Finv", "type": "constant"}, {"displayLabel": "\\Game", "label": "\\Game", "type": "constant"}, {"displayLabel": "\\Gamma", "label": "\\Gamma", "type": "constant"}, {"displayLabel": "\\Im", "label": "\\Im", "type": "constant"}, {"displayLabel": "\\Lambda", "label": "\\Lambda", "type": "constant"}, {"displayLabel": "\\Leftarrow", "label": "\\Leftarrow", "type": "constant"}, {"displayLabel": "\\Leftrightarrow", "label": "\\Leftrightarrow", "type": "constant"}, {"displayLabel": "\\Lleftarrow", "label": "\\Lleftarrow", "type": "constant"}, {"displayLabel": "\\Longleftarrow", "label": "\\Longleftarrow", "type": "constant"}, {"displayLabel": "\\Longleftrightarrow", "label": "\\Longleftrightarrow", "type": "constant"}, {"displayLabel": "\\Longrightarrow", "label": "\\Longrightarrow", "type": "constant"}, {"displayLabel": "\\Lsh", "label": "\\Lsh", "type": "constant"}, {"displayLabel": "\\Omega", "label": "\\Omega", "type": "constant"}, {"displayLabel": "\\Phi", "label": "\\Phi", "type": "constant"}, {"displayLabel": "\\Pi", "label": "\\Pi", "type": "constant"}, {"displayLabel": "\\Pr", "label": "\\Pr", "type": "constant"}, {"displayLabel": "\\Psi", "label": "\\Psi", "type": "constant"}, {"displayLabel": "\\Re", "label": "\\Re", "type": "constant"}, {"displayLabel": "\\Rightarrow", "label": "\\Rightarrow", "type": "constant"}, {"displayLabel": "\\Rrightarrow", "label": "\\Rrightarrow", "type": "constant"}, {"displayLabel": "\\Rsh", "label": "\\Rsh", "type": "constant"}, {"displayLabel": "\\S", "label": "\\S", "type": "constant"}, {"displayLabel": "\\Sigma", "label": "\\Sigma", "type": "constant"}, {"displayLabel": "\\Subset", "label": "\\Subset", "type": "constant"}, {"displayLabel": "\\Supset", "label": "\\Supset", "type": "constant"}, {"displayLabel": "\\TeX", "label": "\\TeX", "type": "constant"}, {"displayLabel": "\\Theta", "label": "\\Theta", "type": "constant"}, {"displayLabel": "\\Uparrow", "label": "\\Uparrow", "type": "constant"}, {"displayLabel": "\\Updownarrow", "label": "\\Updownarrow", "type": "constant"}, {"displayLabel": "\\Upsilon", "label": "\\Upsilon", "type": "constant"}, {"displayLabel": "\\Vdash", "label": "\\Vdash", "type": "constant"}, {"displayLabel": "\\Vert", "label": "\\Vert", "type": "constant"}, {"displayLabel": "\\Vvdash", "label": "\\Vvdash", "type": "constant"}, {"displayLabel": "\\Xi", "label": "\\Xi", "type": "constant"}, {"displayLabel": "\\aleph", "label": "\\aleph", "type": "constant"}, {"displayLabel": "\\alpha", "label": "\\alpha", "type": "constant"}, {"displayLabel": "\\amalg", "label": "\\amalg", "type": "constant"}, {"displayLabel": "\\angle", "label": "\\angle", "type": "constant"}, {"displayLabel": "\\approx", "label": "\\approx", "type": "constant"}, {"displayLabel": "\\approxeq", "label": "\\approxeq", "type": "constant"}, {"displayLabel": "\\arccos", "label": "\\arccos", "type": "constant"}, {"displayLabel": "\\arcsin", "label": "\\arcsin", "type": "constant"}, {"displayLabel": "\\arctan", "label": "\\arctan", "type": "constant"}, {"displayLabel": "\\arg", "label": "\\arg", "type": "constant"}, {"displayLabel": "\\arrowvert", "label": "\\arrowvert", "type": "constant"}, {"displayLabel": "\\ast", "label": "\\ast", "type": "constant"}, {"displayLabel": "\\asymp", "label": "\\asymp", "type": "constant"}, {"displayLabel": "\\atop", "label": "\\atop", "type": "constant"}, {"displayLabel": "\\atopwithdelims", "label": "\\atopwithdelims", "type": "constant"}, {"displayLabel": "\\backepsilon", "label": "\\backepsilon", "type": "constant"}, {"displayLabel": "\\backprime", "label": "\\backprime", "type": "constant"}, {"displayLabel": "\\backsim", "label": "\\backsim", "type": "constant"}, {"displayLabel": "\\backsimeq", "label": "\\backsimeq", "type": "constant"}, {"displayLabel": "\\backslash", "label": "\\backslash", "type": "constant"}, {"displayLabel": "\\barwedge", "label": "\\barwedge", "type": "constant"}, {"displayLabel": "\\because", "label": "\\because", "type": "constant"}, {"displayLabel": "\\beta", "label": "\\beta", "type": "constant"}, {"displayLabel": "\\beth", "label": "\\beth", "type": "constant"}, {"displayLabel": "\\between", "label": "\\between", "type": "constant"}, {"displayLabel": "\\bf", "label": "\\bf", "type": "constant"}, {"displayLabel": "\\big", "label": "\\big", "type": "constant"}, {"displayLabel": "\\bigcap", "label": "\\bigcap", "type": "constant"}, {"displayLabel": "\\bigcirc", "label": "\\bigcirc", "type": "constant"}, {"displayLabel": "\\bigcup", "label": "\\bigcup", "type": "constant"}, {"displayLabel": "\\bigg", "label": "\\bigg", "type": "constant"}, {"displayLabel": "\\biggl", "label": "\\biggl", "type": "constant"}, {"displayLabel": "\\biggm", "label": "\\biggm", "type": "constant"}, {"displayLabel": "\\biggr", "label": "\\biggr", "type": "constant"}, {"displayLabel": "\\bigl", "label": "\\bigl", "type": "constant"}, {"displayLabel": "\\bigm", "label": "\\bigm", "type": "constant"}, {"displayLabel": "\\bigodot", "label": "\\bigodot", "type": "constant"}, {"displayLabel": "\\bigoplus", "label": "\\bigoplus", "type": "constant"}, {"displayLabel": "\\bigotimes", "label": "\\bigotimes", "type": "constant"}, {"displayLabel": "\\bigr\\}", "label": "\\bigr\\}", "type": "function"}, {"displayLabel": "\\bigsqcup", "label": "\\bigsqcup", "type": "constant"}, {"displayLabel": "\\bigstar", "label": "\\bigstar", "type": "constant"}, {"displayLabel": "\\bigtriangledown", "label": "\\bigtriangledown", "type": "constant"}, {"displayLabel": "\\bigtriangleup", "label": "\\bigtriangleup", "type": "constant"}, {"displayLabel": "\\biguplus", "label": "\\biguplus", "type": "constant"}, {"displayLabel": "\\bigvee", "label": "\\bigvee", "type": "constant"}, {"displayLabel": "\\bigwedge", "label": "\\bigwedge", "type": "constant"}, {"displayLabel": "\\blacklozenge", "label": "\\blacklozenge", "type": "constant"}, {"displayLabel": "\\blacksquare", "label": "\\blacksquare", "type": "constant"}, {"displayLabel": "\\blacktriangle", "label": "\\blacktriangle", "type": "constant"}, {"displayLabel": "\\blacktriangledown", "label": "\\blacktriangledown", "type": "constant"}, {"displayLabel": "\\blacktriangleleft", "label": "\\blacktriangleleft", "type": "constant"}, {"displayLabel": "\\blacktriangleright", "label": "\\blacktriangleright", "type": "constant"}, {"displayLabel": "\\bmod", "label": "\\bmod", "type": "constant"}, {"displayLabel": "\\bot", "label": "\\bot", "type": "constant"}, {"displayLabel": "\\bowtie", "label": "\\bowtie", "type": "constant"}, {"displayLabel": "\\boxdot", "label": "\\boxdot", "type": "constant"}, {"displayLabel": "\\boxminus", "label": "\\boxminus", "type": "constant"}, {"displayLabel": "\\boxplus", "label": "\\boxplus", "type": "constant"}, {"displayLabel": "\\boxtimes", "label": "\\boxtimes", "type": "constant"}, {"displayLabel": "\\brace", "label": "\\brace", "type": "constant"}, {"displayLabel": "\\bracevert", "label": "\\bracevert", "type": "constant"}, {"displayLabel": "\\brack", "label": "\\brack", "type": "constant"}, {"displayLabel": "\\buildrel", "label": "\\buildrel", "type": "constant"}, {"displayLabel": "\\bullet", "label": "\\bullet", "type": "constant"}, {"displayLabel": "\\bumpeq", "label": "\\bumpeq", "type": "constant"}, {"displayLabel": "\\cal", "label": "\\cal", "type": "constant"}, {"displayLabel": "\\cap", "label": "\\cap", "type": "constant"}, {"displayLabel": "\\cdot", "label": "\\cdot", "type": "constant"}, {"displayLabel": "\\cdotp", "label": "\\cdotp", "type": "constant"}, {"displayLabel": "\\cdots", "label": "\\cdots", "type": "constant"}, {"displayLabel": "\\centerdot", "label": "\\centerdot", "type": "constant"}, {"displayLabel": "\\checkmark", "label": "\\checkmark", "type": "constant"}, {"displayLabel": "\\chi", "label": "\\chi", "type": "constant"}, {"displayLabel": "\\choose", "label": "\\choose", "type": "constant"}, {"displayLabel": "\\circ", "label": "\\circ", "type": "constant"}, {"displayLabel": "\\circeq", "label": "\\circeq", "type": "constant"}, {"displayLabel": "\\circlearrowleft", "label": "\\circlearrowleft", "type": "constant"}, {"displayLabel": "\\circlearrowright", "label": "\\circlearrowright", "type": "constant"}, {"displayLabel": "\\circledS", "label": "\\circledS", "type": "constant"}, {"displayLabel": "\\circledast", "label": "\\circledast", "type": "constant"}, {"displayLabel": "\\circledcirc", "label": "\\circledcirc", "type": "constant"}, {"displayLabel": "\\circleddash", "label": "\\circleddash", "type": "constant"}, {"displayLabel": "\\clubsuit", "label": "\\clubsuit", "type": "constant"}, {"displayLabel": "\\colon", "label": "\\colon", "type": "constant"}, {"displayLabel": "\\complement", "label": "\\complement", "type": "constant"}, {"displayLabel": "\\cong", "label": "\\cong", "type": "constant"}, {"displayLabel": "\\coprod", "label": "\\coprod", "type": "constant"}, {"displayLabel": "\\cos", "label": "\\cos", "type": "constant"}, {"displayLabel": "\\cosh", "label": "\\cosh", "type": "constant"}, {"displayLabel": "\\cot", "label": "\\cot", "type": "constant"}, {"displayLabel": "\\coth", "label": "\\coth", "type": "constant"}, {"displayLabel": "\\cr", "label": "\\cr", "type": "constant"}, {"displayLabel": "\\csc", "label": "\\csc", "type": "constant"}, {"displayLabel": "\\cup", "label": "\\cup", "type": "constant"}, {"displayLabel": "\\curlyeqprec", "label": "\\curlyeqprec", "type": "constant"}, {"displayLabel": "\\curlyeqsucc", "label": "\\curlyeqsucc", "type": "constant"}, {"displayLabel": "\\curlyvee", "label": "\\curlyvee", "type": "constant"}, {"displayLabel": "\\curlywedge", "label": "\\curlywedge", "type": "constant"}, {"displayLabel": "\\curvearrowleft", "label": "\\curvearrowleft", "type": "constant"}, {"displayLabel": "\\curvearrowright", "label": "\\curvearrowright", "type": "constant"}, {"displayLabel": "\\dagger", "label": "\\dagger", "type": "constant"}, {"displayLabel": "\\daleth", "label": "\\daleth", "type": "constant"}, {"displayLabel": "\\dashleftarrow", "label": "\\dashleftarrow", "type": "constant"}, {"displayLabel": "\\dashrightarrow", "label": "\\dashrightarrow", "type": "constant"}, {"displayLabel": "\\dashv", "label": "\\dashv", "type": "constant"}, {"displayLabel": "\\ddagger", "label": "\\ddagger", "type": "constant"}, {"displayLabel": "\\ddots", "label": "\\ddots", "type": "constant"}, {"displayLabel": "\\def", "label": "\\def", "type": "constant"}, {"displayLabel": "\\deg", "label": "\\deg", "type": "constant"}, {"displayLabel": "\\delta", "label": "\\delta", "type": "constant"}, {"displayLabel": "\\det", "label": "\\det", "type": "constant"}, {"displayLabel": "\\diagdown", "label": "\\diagdown", "type": "constant"}, {"displayLabel": "\\diagup", "label": "\\diagup", "type": "constant"}, {"displayLabel": "\\diamond", "label": "\\diamond", "type": "constant"}, {"displayLabel": "\\diamondsuit", "label": "\\diamondsuit", "type": "constant"}, {"displayLabel": "\\digamma", "label": "\\digamma", "type": "constant"}, {"displayLabel": "\\dim", "label": "\\dim", "type": "constant"}, {"displayLabel": "\\displaylines", "label": "\\displaylines", "type": "constant"}, {"displayLabel": "\\displaystyle", "label": "\\displaystyle", "type": "constant"}, {"displayLabel": "\\div", "label": "\\div", "type": "constant"}, {"displayLabel": "\\divideontimes", "label": "\\divideontimes", "type": "constant"}, {"displayLabel": "\\doteq", "label": "\\doteq", "type": "constant"}, {"displayLabel": "\\doteqdot", "label": "\\doteqdot", "type": "constant"}, {"displayLabel": "\\dotplus", "label": "\\dotplus", "type": "constant"}, {"displayLabel": "\\dots", "label": "\\dots", "type": "constant"}, {"displayLabel": "\\dotsb", "label": "\\dotsb", "type": "constant"}, {"displayLabel": "\\dotsc", "label": "\\dotsc", "type": "constant"}, {"displayLabel": "\\dotsi", "label": "\\dotsi", "type": "constant"}, {"displayLabel": "\\dotsm", "label": "\\dotsm", "type": "constant"}, {"displayLabel": "\\dotso", "label": "\\dotso", "type": "constant"}, {"displayLabel": "\\doublebarwedge", "label": "\\doublebarwedge", "type": "constant"}, {"displayLabel": "\\downarrow", "label": "\\downarrow", "type": "constant"}, {"displayLabel": "\\downdownarrows", "label": "\\downdownarrows", "type": "constant"}, {"displayLabel": "\\downharpoonleft", "label": "\\downharpoonleft", "type": "constant"}, {"displayLabel": "\\downharpoonright", "label": "\\downharpoonright", "type": "constant"}, {"displayLabel": "\\ell", "label": "\\ell", "type": "constant"}, {"displayLabel": "\\emptyset", "label": "\\emptyset", "type": "constant"}, {"displayLabel": "\\enspace", "label": "\\enspace", "type": "constant"}, {"displayLabel": "\\epsilon", "label": "\\epsilon", "type": "constant"}, {"displayLabel": "\\eqcirc", "label": "\\eqcirc", "type": "constant"}, {"displayLabel": "\\eqsim", "label": "\\eqsim", "type": "constant"}, {"displayLabel": "\\eqslantgtr", "label": "\\eqslantgtr", "type": "constant"}, {"displayLabel": "\\eqslantless", "label": "\\eqslantless", "type": "constant"}, {"displayLabel": "\\equiv", "label": "\\equiv", "type": "constant"}, {"displayLabel": "\\eta", "label": "\\eta", "type": "constant"}, {"displayLabel": "\\eth", "label": "\\eth", "type": "constant"}, {"displayLabel": "\\exists", "label": "\\exists", "type": "constant"}, {"displayLabel": "\\exp", "label": "\\exp", "type": "constant"}, {"displayLabel": "\\fallingdotseq", "label": "\\fallingdotseq", "type": "constant"}, {"displayLabel": "\\flat", "label": "\\flat", "type": "constant"}, {"displayLabel": "\\forall", "label": "\\forall", "type": "constant"}, {"displayLabel": "\\frown", "label": "\\frown", "type": "constant"}, {"displayLabel": "\\gamma", "label": "\\gamma", "type": "constant"}, {"displayLabel": "\\gcd", "label": "\\gcd", "type": "constant"}, {"displayLabel": "\\ge", "label": "\\ge", "type": "constant"}, {"displayLabel": "\\geq", "label": "\\geq", "type": "constant"}, {"displayLabel": "\\geqq", "label": "\\geqq", "type": "constant"}, {"displayLabel": "\\geqslant", "label": "\\geqslant", "type": "constant"}, {"displayLabel": "\\gets", "label": "\\gets", "type": "constant"}, {"displayLabel": "\\gg", "label": "\\gg", "type": "constant"}, {"displayLabel": "\\ggg", "label": "\\ggg", "type": "constant"}, {"displayLabel": "\\gimel", "label": "\\gimel", "type": "constant"}, {"displayLabel": "\\gnapprox", "label": "\\gnapprox", "type": "constant"}, {"displayLabel": "\\gneq", "label": "\\gneq", "type": "constant"}, {"displayLabel": "\\gneqq", "label": "\\gneqq", "type": "constant"}, {"displayLabel": "\\gnsim", "label": "\\gnsim", "type": "constant"}, {"displayLabel": "\\gtrapprox", "label": "\\gtrapprox", "type": "constant"}, {"displayLabel": "\\gtrdot", "label": "\\gtrdot", "type": "constant"}, {"displayLabel": "\\gtreqless", "label": "\\gtreqless", "type": "constant"}, {"displayLabel": "\\gtreqqless", "label": "\\gtreqqless", "type": "constant"}, {"displayLabel": "\\gtrless", "label": "\\gtrless", "type": "constant"}, {"displayLabel": "\\gtrsim", "label": "\\gtrsim", "type": "constant"}, {"displayLabel": "\\gvertneqq", "label": "\\gvertneqq", "type": "constant"}, {"displayLabel": "\\hbar", "label": "\\hbar", "type": "constant"}, {"displayLabel": "\\hbox", "label": "\\hbox", "type": "constant"}, {"displayLabel": "\\heartsuit", "label": "\\heartsuit", "type": "constant"}, {"displayLabel": "\\hfil", "label": "\\hfil", "type": "constant"}, {"displayLabel": "\\hfill", "label": "\\hfill", "type": "constant"}, {"displayLabel": "\\hom", "label": "\\hom", "type": "constant"}, {"displayLabel": "\\hookleftarrow", "label": "\\hookleftarrow", "type": "constant"}, {"displayLabel": "\\hookrightarrow", "label": "\\hookrightarrow", "type": "constant"}, {"displayLabel": "\\hskip", "label": "\\hskip", "type": "constant"}, {"displayLabel": "\\hslash", "label": "\\hslash", "type": "constant"}, {"displayLabel": "\\idotsint", "label": "\\idotsint", "type": "constant"}, {"displayLabel": "\\iff", "label": "\\iff", "type": "constant"}, {"displayLabel": "\\iiiint", "label": "\\iiiint", "type": "constant"}, {"displayLabel": "\\iiint", "label": "\\iiint", "type": "constant"}, {"displayLabel": "\\iint", "label": "\\iint", "type": "constant"}, {"displayLabel": "\\imath", "label": "\\imath", "type": "constant"}, {"displayLabel": "\\impliedby", "label": "\\impliedby", "type": "constant"}, {"displayLabel": "\\implies", "label": "\\implies", "type": "constant"}, {"displayLabel": "\\in", "label": "\\in", "type": "constant"}, {"displayLabel": "\\inf", "label": "\\inf", "type": "constant"}, {"displayLabel": "\\infty", "label": "\\infty", "type": "constant"}, {"displayLabel": "\\injlim", "label": "\\injlim", "type": "constant"}, {"displayLabel": "\\intercal", "label": "\\intercal", "type": "constant"}, {"displayLabel": "\\iota", "label": "\\iota", "type": "constant"}, {"displayLabel": "\\it", "label": "\\it", "type": "constant"}, {"displayLabel": "\\jmath", "label": "\\jmath", "type": "constant"}, {"displayLabel": "\\kappa", "label": "\\kappa", "type": "constant"}, {"displayLabel": "\\ker", "label": "\\ker", "type": "constant"}, {"displayLabel": "\\kern", "label": "\\kern", "type": "constant"}, {"displayLabel": "\\lVert", "label": "\\lVert", "type": "constant"}, {"displayLabel": "\\lambda", "label": "\\lambda", "type": "constant"}, {"displayLabel": "\\land", "label": "\\land", "type": "constant"}, {"displayLabel": "\\langle", "label": "\\langle", "type": "constant"}, {"displayLabel": "\\lbrace", "label": "\\lbrace", "type": "constant"}, {"displayLabel": "\\lbrack", "label": "\\lbrack", "type": "constant"}, {"displayLabel": "\\lceil", "label": "\\lceil", "type": "constant"}, {"displayLabel": "\\ldotp", "label": "\\ldotp", "type": "constant"}, {"displayLabel": "\\ldots", "label": "\\ldots", "type": "constant"}, {"displayLabel": "\\le", "label": "\\le", "type": "constant"}, {"displayLabel": "\\left", "label": "\\left", "type": "constant"}, {"displayLabel": "\\leftarrow", "label": "\\leftarrow", "type": "constant"}, {"displayLabel": "\\leftarrowtail", "label": "\\leftarrowtail", "type": "constant"}, {"displayLabel": "\\leftharpoondown", "label": "\\leftharpoondown", "type": "constant"}, {"displayLabel": "\\leftharpoonup", "label": "\\leftharpoonup", "type": "constant"}, {"displayLabel": "\\leftleftarrows", "label": "\\leftleftarrows", "type": "constant"}, {"displayLabel": "\\leftrightarrow", "label": "\\leftrightarrow", "type": "constant"}, {"displayLabel": "\\leftrightarrows", "label": "\\leftrightarrows", "type": "constant"}, {"displayLabel": "\\leftrightharpoons", "label": "\\leftrightharpoons", "type": "constant"}, {"displayLabel": "\\leftrightsquigarrow", "label": "\\leftrightsquigarrow", "type": "constant"}, {"displayLabel": "\\leftthreetimes", "label": "\\leftthreetimes", "type": "constant"}, {"displayLabel": "\\leq", "label": "\\leq", "type": "constant"}, {"displayLabel": "\\leqq", "label": "\\leqq", "type": "constant"}, {"displayLabel": "\\leqslant", "label": "\\leqslant", "type": "constant"}, {"displayLabel": "\\lessapprox", "label": "\\lessapprox", "type": "constant"}, {"displayLabel": "\\lessdot", "label": "\\lessdot", "type": "constant"}, {"displayLabel": "\\lesseqgtr", "label": "\\lesseqgtr", "type": "constant"}, {"displayLabel": "\\lesseqqgtr", "label": "\\lesseqqgtr", "type": "constant"}, {"displayLabel": "\\lessgtr", "label": "\\lessgtr", "type": "constant"}, {"displayLabel": "\\lesssim", "label": "\\lesssim", "type": "constant"}, {"displayLabel": "\\lfloor", "label": "\\lfloor", "type": "constant"}, {"displayLabel": "\\lg", "label": "\\lg", "type": "constant"}, {"displayLabel": "\\lgroup", "label": "\\lgroup", "type": "constant"}, {"displayLabel": "\\lhd", "label": "\\lhd", "type": "constant"}, {"displayLabel": "\\lim", "label": "\\lim", "type": "constant"}, {"displayLabel": "\\liminf", "label": "\\liminf", "type": "constant"}, {"displayLabel": "\\limsup", "label": "\\limsup", "type": "constant"}, {"displayLabel": "\\ll", "label": "\\ll", "type": "constant"}, {"displayLabel": "\\llcorner", "label": "\\llcorner", "type": "constant"}, {"displayLabel": "\\lll", "label": "\\lll", "type": "constant"}, {"displayLabel": "\\lmoustache", "label": "\\lmoustache", "type": "constant"}, {"displayLabel": "\\ln", "label": "\\ln", "type": "constant"}, {"displayLabel": "\\lnapprox", "label": "\\lnapprox", "type": "constant"}, {"displayLabel": "\\lneq", "label": "\\lneq", "type": "constant"}, {"displayLabel": "\\lneqq", "label": "\\lneqq", "type": "constant"}, {"displayLabel": "\\lnot", "label": "\\lnot", "type": "constant"}, {"displayLabel": "\\lnsim", "label": "\\lnsim", "type": "constant"}, {"displayLabel": "\\log", "label": "\\log", "type": "constant"}, {"displayLabel": "\\longleftarrow", "label": "\\longleftarrow", "type": "constant"}, {"displayLabel": "\\longleftrightarrow", "label": "\\longleftrightarrow", "type": "constant"}, {"displayLabel": "\\longmapsto", "label": "\\longmapsto", "type": "constant"}, {"displayLabel": "\\longrightarrow", "label": "\\longrightarrow", "type": "constant"}, {"displayLabel": "\\looparrowleft", "label": "\\looparrowleft", "type": "constant"}, {"displayLabel": "\\looparrowright", "label": "\\looparrowright", "type": "constant"}, {"displayLabel": "\\lor", "label": "\\lor", "type": "constant"}, {"displayLabel": "\\lower", "label": "\\lower", "type": "constant"}, {"displayLabel": "\\lozenge", "label": "\\lozenge", "type": "constant"}, {"displayLabel": "\\lrcorner", "label": "\\lrcorner", "type": "constant"}, {"displayLabel": "\\ltimes", "label": "\\ltimes", "type": "constant"}, {"displayLabel": "\\lvert", "label": "\\lvert", "type": "constant"}, {"displayLabel": "\\lvertneqq", "label": "\\lvertneqq", "type": "constant"}, {"displayLabel": "\\maltese", "label": "\\maltese", "type": "constant"}, {"displayLabel": "\\mapsto", "label": "\\mapsto", "type": "constant"}, {"displayLabel": "\\mathbin", "label": "\\mathbin", "type": "constant"}, {"displayLabel": "\\mathchoice", "label": "\\mathchoice", "type": "constant"}, {"displayLabel": "\\mathclose", "label": "\\mathclose", "type": "constant"}, {"displayLabel": "\\mathinner", "label": "\\mathinner", "type": "constant"}, {"displayLabel": "\\mathop", "label": "\\mathop", "type": "constant"}, {"displayLabel": "\\mathopen", "label": "\\mathopen", "type": "constant"}, {"displayLabel": "\\mathord", "label": "\\mathord", "type": "constant"}, {"displayLabel": "\\mathpunct", "label": "\\mathpunct", "type": "constant"}, {"displayLabel": "\\mathrel", "label": "\\mathrel", "type": "constant"}, {"displayLabel": "\\mathstrut", "label": "\\mathstrut", "type": "constant"}, {"displayLabel": "\\max", "label": "\\max", "type": "constant"}, {"displayLabel": "\\measuredangle", "label": "\\measuredangle", "type": "constant"}, {"displayLabel": "\\mho", "label": "\\mho", "type": "constant"}, {"displayLabel": "\\mid", "label": "\\mid", "type": "constant"}, {"displayLabel": "\\middle", "label": "\\middle", "type": "constant"}, {"displayLabel": "\\min", "label": "\\min", "type": "constant"}, {"displayLabel": "\\mit", "label": "\\mit", "type": "constant"}, {"displayLabel": "\\mkern", "label": "\\mkern", "type": "constant"}, {"displayLabel": "\\mod", "label": "\\mod", "type": "constant"}, {"displayLabel": "\\models", "label": "\\models", "type": "constant"}, {"displayLabel": "\\moveleft", "label": "\\moveleft", "type": "constant"}, {"displayLabel": "\\moveright", "label": "\\moveright", "type": "constant"}, {"displayLabel": "\\mp", "label": "\\mp", "type": "constant"}, {"displayLabel": "\\mskip", "label": "\\mskip", "type": "constant"}, {"displayLabel": "\\mu", "label": "\\mu", "type": "constant"}, {"displayLabel": "\\multimap", "label": "\\multimap", "type": "constant"}, {"displayLabel": "\\nLeftarrow", "label": "\\nLeftarrow", "type": "constant"}, {"displayLabel": "\\nLeftrightarrow", "label": "\\nLeftrightarrow", "type": "constant"}, {"displayLabel": "\\nRightarrow", "label": "\\nRightarrow", "type": "constant"}, {"displayLabel": "\\nVDash", "label": "\\nVDash", "type": "constant"}, {"displayLabel": "\\nVdash", "label": "\\nVdash", "type": "constant"}, {"displayLabel": "\\nabla", "label": "\\nabla", "type": "constant"}, {"displayLabel": "\\natural", "label": "\\natural", "type": "constant"}, {"displayLabel": "\\ncong", "label": "\\ncong", "type": "constant"}, {"displayLabel": "\\ne", "label": "\\ne", "type": "constant"}, {"displayLabel": "\\nearrow", "label": "\\nearrow", "type": "constant"}, {"displayLabel": "\\neg", "label": "\\neg", "type": "constant"}, {"displayLabel": "\\negmedspace", "label": "\\negmedspace", "type": "constant"}, {"displayLabel": "\\negthickspace", "label": "\\negthickspace", "type": "constant"}, {"displayLabel": "\\negthinspace", "label": "\\negthinspace", "type": "constant"}, {"displayLabel": "\\neq", "label": "\\neq", "type": "constant"}, {"displayLabel": "\\nexists", "label": "\\nexists", "type": "constant"}, {"displayLabel": "\\ngeq", "label": "\\ngeq", "type": "constant"}, {"displayLabel": "\\ngeqq", "label": "\\ngeqq", "type": "constant"}, {"displayLabel": "\\ngeqslant", "label": "\\ngeqslant", "type": "constant"}, {"displayLabel": "\\ngtr", "label": "\\ngtr", "type": "constant"}, {"displayLabel": "\\ni", "label": "\\ni", "type": "constant"}, {"displayLabel": "\\nleftarrow", "label": "\\nleftarrow", "type": "constant"}, {"displayLabel": "\\nleftrightarrow", "label": "\\nleftrightarrow", "type": "constant"}, {"displayLabel": "\\nleq", "label": "\\nleq", "type": "constant"}, {"displayLabel": "\\nleqq", "label": "\\nleqq", "type": "constant"}, {"displayLabel": "\\nleqslant", "label": "\\nleqslant", "type": "constant"}, {"displayLabel": "\\nless", "label": "\\nless", "type": "constant"}, {"displayLabel": "\\nmid", "label": "\\nmid", "type": "constant"}, {"displayLabel": "\\not", "label": "\\not", "type": "constant"}, {"displayLabel": "\\notag", "label": "\\notag", "type": "constant"}, {"displayLabel": "\\notin", "label": "\\notin", "type": "constant"}, {"displayLabel": "\\nparallel", "label": "\\nparallel", "type": "constant"}, {"displayLabel": "\\nprec", "label": "\\nprec", "type": "constant"}, {"displayLabel": "\\npreceq", "label": "\\npreceq", "type": "constant"}, {"displayLabel": "\\nrightarrow", "label": "\\nrightarrow", "type": "constant"}, {"displayLabel": "\\nshortmid", "label": "\\nshortmid", "type": "constant"}, {"displayLabel": "\\nshortparallel", "label": "\\nshortparallel", "type": "constant"}, {"displayLabel": "\\nsim", "label": "\\nsim", "type": "constant"}, {"displayLabel": "\\nsubseteq", "label": "\\nsubseteq", "type": "constant"}, {"displayLabel": "\\nsubseteqq", "label": "\\nsubseteqq", "type": "constant"}, {"displayLabel": "\\nsucc", "label": "\\nsucc", "type": "constant"}, {"displayLabel": "\\nsucceq", "label": "\\nsucceq", "type": "constant"}, {"displayLabel": "\\nsupseteq", "label": "\\nsupseteq", "type": "constant"}, {"displayLabel": "\\nsupseteqq", "label": "\\nsupseteqq", "type": "constant"}, {"displayLabel": "\\ntriangleleft", "label": "\\ntriangleleft", "type": "constant"}, {"displayLabel": "\\ntrianglelefteq", "label": "\\ntrianglelefteq", "type": "constant"}, {"displayLabel": "\\ntriangleright", "label": "\\ntriangleright", "type": "constant"}, {"displayLabel": "\\ntrianglerighteq", "label": "\\ntrianglerighteq", "type": "constant"}, {"displayLabel": "\\nu", "label": "\\nu", "type": "constant"}, {"displayLabel": "\\nvDash", "label": "\\nvDash", "type": "constant"}, {"displayLabel": "\\nvdash", "label": "\\nvdash", "type": "constant"}, {"displayLabel": "\\nwarrow", "label": "\\nwarrow", "type": "constant"}, {"displayLabel": "\\odot", "label": "\\odot", "type": "constant"}, {"displayLabel": "\\oint", "label": "\\oint", "type": "constant"}, {"displayLabel": "\\oldstyle", "label": "\\oldstyle", "type": "constant"}, {"displayLabel": "\\omega", "label": "\\omega", "type": "constant"}, {"displayLabel": "\\ominus", "label": "\\ominus", "type": "constant"}, {"displayLabel": "\\oplus", "label": "\\oplus", "type": "constant"}, {"displayLabel": "\\oslash", "label": "\\oslash", "type": "constant"}, {"displayLabel": "\\otimes", "label": "\\otimes", "type": "constant"}, {"displayLabel": "\\over", "label": "\\over", "type": "constant"}, {"displayLabel": "\\overwithdelims", "label": "\\overwithdelims", "type": "constant"}, {"displayLabel": "\\owns", "label": "\\owns", "type": "constant"}, {"displayLabel": "\\parallel", "label": "\\parallel", "type": "constant"}, {"displayLabel": "\\partial", "label": "\\partial", "type": "constant"}, {"displayLabel": "\\perp", "label": "\\perp", "type": "constant"}, {"displayLabel": "\\phi", "label": "\\phi", "type": "constant"}, {"displayLabel": "\\pi", "label": "\\pi", "type": "constant"}, {"displayLabel": "\\pitchfork", "label": "\\pitchfork", "type": "constant"}, {"displayLabel": "\\pm", "label": "\\pm", "type": "constant"}, {"displayLabel": "\\pmod", "label": "\\pmod", "type": "constant"}, {"displayLabel": "\\pod", "label": "\\pod", "type": "constant"}, {"displayLabel": "\\prec", "label": "\\prec", "type": "constant"}, {"displayLabel": "\\precapprox", "label": "\\precapprox", "type": "constant"}, {"displayLabel": "\\preccurlyeq", "label": "\\preccurlyeq", "type": "constant"}, {"displayLabel": "\\preceq", "label": "\\preceq", "type": "constant"}, {"displayLabel": "\\precnapprox", "label": "\\precnapprox", "type": "constant"}, {"displayLabel": "\\precneqq", "label": "\\precneqq", "type": "constant"}, {"displayLabel": "\\precnsim", "label": "\\precnsim", "type": "constant"}, {"displayLabel": "\\precsim", "label": "\\precsim", "type": "constant"}, {"displayLabel": "\\prime", "label": "\\prime", "type": "constant"}, {"displayLabel": "\\projlim", "label": "\\projlim", "type": "constant"}, {"displayLabel": "\\propto", "label": "\\propto", "type": "constant"}, {"displayLabel": "\\psi", "label": "\\psi", "type": "constant"}, {"displayLabel": "\\qquad", "label": "\\qquad", "type": "constant"}, {"displayLabel": "\\quad", "label": "\\quad", "type": "constant"}, {"displayLabel": "\\rVert", "label": "\\rVert", "type": "constant"}, {"displayLabel": "\\raise", "label": "\\raise", "type": "constant"}, {"displayLabel": "\\rangle", "label": "\\rangle", "type": "constant"}, {"displayLabel": "\\rbrace", "label": "\\rbrace", "type": "constant"}, {"displayLabel": "\\rbrack", "label": "\\rbrack", "type": "constant"}, {"displayLabel": "\\rceil", "label": "\\rceil", "type": "constant"}, {"displayLabel": "\\rfloor", "label": "\\rfloor", "type": "constant"}, {"displayLabel": "\\rgroup", "label": "\\rgroup", "type": "constant"}, {"displayLabel": "\\rhd", "label": "\\rhd", "type": "constant"}, {"displayLabel": "\\rho", "label": "\\rho", "type": "constant"}, {"displayLabel": "\\right", "label": "\\right", "type": "constant"}, {"displayLabel": "\\rightarrow", "label": "\\rightarrow", "type": "constant"}, {"displayLabel": "\\rightarrowtail", "label": "\\rightarrowtail", "type": "function"}, {"displayLabel": "\\rightharpoondown", "label": "\\rightharpoondown", "type": "constant"}, {"displayLabel": "\\rightharpoonup", "label": "\\rightharpoonup", "type": "constant"}, {"displayLabel": "\\rightleftarrows", "label": "\\rightleftarrows", "type": "constant"}, {"displayLabel": "\\rightleftharpoons", "label": "\\rightleftharpoons", "type": "constant"}, {"displayLabel": "\\rightrightarrows", "label": "\\rightrightarrows", "type": "constant"}, {"displayLabel": "\\rightsquigarrow", "label": "\\rightsquigarrow", "type": "constant"}, {"displayLabel": "\\rightthreetimes", "label": "\\rightthreetimes", "type": "constant"}, {"displayLabel": "\\risingdotseq", "label": "\\risingdotseq", "type": "constant"}, {"displayLabel": "\\rmoustache", "label": "\\rmoustache", "type": "constant"}, {"displayLabel": "\\rtimes", "label": "\\rtimes", "type": "constant"}, {"displayLabel": "\\rvert", "label": "\\rvert", "type": "constant"}, {"displayLabel": "\\scriptscriptstyle", "label": "\\scriptscriptstyle", "type": "constant"}, {"displayLabel": "\\scriptstyle", "label": "\\scriptstyle", "type": "constant"}, {"displayLabel": "\\searrow", "label": "\\searrow", "type": "constant"}, {"displayLabel": "\\sec", "label": "\\sec", "type": "constant"}, {"displayLabel": "\\setminus", "label": "\\setminus", "type": "constant"}, {"displayLabel": "\\sharp", "label": "\\sharp", "type": "constant"}, {"displayLabel": "\\shortmid", "label": "\\shortmid", "type": "constant"}, {"displayLabel": "\\shortparallel", "label": "\\shortparallel", "type": "constant"}, {"displayLabel": "\\sigma", "label": "\\sigma", "type": "constant"}, {"displayLabel": "\\sim", "label": "\\sim", "type": "constant"}, {"displayLabel": "\\simeq", "label": "\\simeq", "type": "constant"}, {"displayLabel": "\\sin", "label": "\\sin", "type": "constant"}, {"displayLabel": "\\sinh", "label": "\\sinh", "type": "constant"}, {"displayLabel": "\\smallfrown", "label": "\\smallfrown", "type": "constant"}, {"displayLabel": "\\smallint", "label": "\\smallint", "type": "constant"}, {"displayLabel": "\\smallsetminus", "label": "\\smallsetminus", "type": "constant"}, {"displayLabel": "\\smallsmile", "label": "\\smallsmile", "type": "constant"}, {"displayLabel": "\\smile", "label": "\\smile", "type": "constant"}, {"displayLabel": "\\space", "label": "\\space", "type": "constant"}, {"displayLabel": "\\spadesuit", "label": "\\spadesuit", "type": "constant"}, {"displayLabel": "\\sphericalangle", "label": "\\sphericalangle", "type": "constant"}, {"displayLabel": "\\sqcap", "label": "\\sqcap", "type": "constant"}, {"displayLabel": "\\sqcup", "label": "\\sqcup", "type": "constant"}, {"displayLabel": "\\sqsubset", "label": "\\sqsubset", "type": "constant"}, {"displayLabel": "\\sqsubseteq", "label": "\\sqsubseteq", "type": "constant"}, {"displayLabel": "\\sqsupset", "label": "\\sqsupset", "type": "constant"}, {"displayLabel": "\\sqsupseteq", "label": "\\sqsupseteq", "type": "constant"}, {"displayLabel": "\\square", "label": "\\square", "type": "constant"}, {"displayLabel": "\\star", "label": "\\star", "type": "constant"}, {"displayLabel": "\\strut", "label": "\\strut", "type": "constant"}, {"displayLabel": "\\subset", "label": "\\subset", "type": "constant"}, {"displayLabel": "\\subseteq", "label": "\\subseteq", "type": "constant"}, {"displayLabel": "\\subseteqq", "label": "\\subseteqq", "type": "constant"}, {"displayLabel": "\\subsetneq", "label": "\\subsetneq", "type": "constant"}, {"displayLabel": "\\subsetneqq", "label": "\\subsetneqq", "type": "constant"}, {"displayLabel": "\\succ", "label": "\\succ", "type": "constant"}, {"displayLabel": "\\succapprox", "label": "\\succapprox", "type": "constant"}, {"displayLabel": "\\succcurlyeq", "label": "\\succcurlyeq", "type": "constant"}, {"displayLabel": "\\succeq", "label": "\\succeq", "type": "constant"}, {"displayLabel": "\\succnapprox", "label": "\\succnapprox", "type": "constant"}, {"displayLabel": "\\succneqq", "label": "\\succneqq", "type": "constant"}, {"displayLabel": "\\succnsim", "label": "\\succnsim", "type": "constant"}, {"displayLabel": "\\succsim", "label": "\\succsim", "type": "constant"}, {"displayLabel": "\\sup", "label": "\\sup", "type": "constant"}, {"displayLabel": "\\supset", "label": "\\supset", "type": "constant"}, {"displayLabel": "\\supseteq", "label": "\\supseteq", "type": "constant"}, {"displayLabel": "\\supseteqq", "label": "\\supseteqq", "type": "constant"}, {"displayLabel": "\\supsetneq", "label": "\\supsetneq", "type": "constant"}, {"displayLabel": "\\supsetneqq", "label": "\\supsetneqq", "type": "constant"}, {"displayLabel": "\\surd", "label": "\\surd", "type": "constant"}, {"displayLabel": "\\swarrow", "label": "\\swarrow", "type": "constant"}, {"displayLabel": "\\tan", "label": "\\tan", "type": "constant"}, {"displayLabel": "\\tanh", "label": "\\tanh", "type": "constant"}, {"displayLabel": "\\tau", "label": "\\tau", "type": "constant"}, {"displayLabel": "\\textstyle", "label": "\\textstyle", "type": "constant"}, {"displayLabel": "\\therefore", "label": "\\therefore", "type": "constant"}, {"displayLabel": "\\theta", "label": "\\theta", "type": "constant"}, {"displayLabel": "\\thickapprox", "label": "\\thickapprox", "type": "constant"}, {"displayLabel": "\\thicksim", "label": "\\thicksim", "type": "constant"}, {"displayLabel": "\\thinspace", "label": "\\thinspace", "type": "constant"}, {"displayLabel": "\\times", "label": "\\times", "type": "constant"}, {"displayLabel": "\\to", "label": "\\to", "type": "constant"}, {"displayLabel": "\\top", "label": "\\top", "type": "constant"}, {"displayLabel": "\\triangle", "label": "\\triangle", "type": "constant"}, {"displayLabel": "\\triangledown", "label": "\\triangledown", "type": "constant"}, {"displayLabel": "\\triangleleft", "label": "\\triangleleft", "type": "constant"}, {"displayLabel": "\\trianglelefteq", "label": "\\trianglelefteq", "type": "constant"}, {"displayLabel": "\\triangleq", "label": "\\triangleq", "type": "constant"}, {"displayLabel": "\\triangleright", "label": "\\triangleright", "type": "constant"}, {"displayLabel": "\\trianglerighteq", "label": "\\trianglerighteq", "type": "constant"}, {"displayLabel": "\\tt", "label": "\\tt", "type": "constant"}, {"displayLabel": "\\twoheadleftarrow", "label": "\\twoheadleftarrow", "type": "constant"}, {"displayLabel": "\\twoheadrightarrow", "label": "\\twoheadrightarrow", "type": "constant"}, {"displayLabel": "\\ulcorner", "label": "\\ulcorner", "type": "constant"}, {"displayLabel": "\\unlhd", "label": "\\unlhd", "type": "constant"}, {"displayLabel": "\\unrhd", "label": "\\unrhd", "type": "constant"}, {"displayLabel": "\\uparrow", "label": "\\uparrow", "type": "constant"}, {"displayLabel": "\\updownarrow", "label": "\\updownarrow", "type": "constant"}, {"displayLabel": "\\upharpoonleft", "label": "\\upharpoonleft", "type": "constant"}, {"displayLabel": "\\upharpoonright", "label": "\\upharpoonright", "type": "constant"}, {"displayLabel": "\\uplus", "label": "\\uplus", "type": "constant"}, {"displayLabel": "\\upsilon", "label": "\\upsilon", "type": "constant"}, {"displayLabel": "\\upuparrows", "label": "\\upuparrows", "type": "constant"}, {"displayLabel": "\\urcorner", "label": "\\urcorner", "type": "constant"}, {"displayLabel": "\\vDash", "label": "\\vDash", "type": "constant"}, {"displayLabel": "\\varDelta", "label": "\\varDelta", "type": "constant"}, {"displayLabel": "\\varGamma", "label": "\\varGamma", "type": "constant"}, {"displayLabel": "\\varLambda", "label": "\\varLambda", "type": "constant"}, {"displayLabel": "\\varOmega", "label": "\\varOmega", "type": "constant"}, {"displayLabel": "\\varPhi", "label": "\\varPhi", "type": "constant"}, {"displayLabel": "\\varPi", "label": "\\varPi", "type": "constant"}, {"displayLabel": "\\varPsi", "label": "\\varPsi", "type": "constant"}, {"displayLabel": "\\varSigma", "label": "\\varSigma", "type": "constant"}, {"displayLabel": "\\varTheta", "label": "\\varTheta", "type": "constant"}, {"displayLabel": "\\varUpsilon", "label": "\\varUpsilon", "type": "constant"}, {"displayLabel": "\\varXi", "label": "\\varXi", "type": "constant"}, {"displayLabel": "\\varepsilon", "label": "\\varepsilon", "type": "constant"}, {"displayLabel": "\\varinjlim", "label": "\\varinjlim", "type": "constant"}, {"displayLabel": "\\varkappa", "label": "\\varkappa", "type": "constant"}, {"displayLabel": "\\varliminf", "label": "\\varliminf", "type": "constant"}, {"displayLabel": "\\varlimsup", "label": "\\varlimsup", "type": "constant"}, {"displayLabel": "\\varnothing", "label": "\\varnothing", "type": "constant"}, {"displayLabel": "\\varphi", "label": "\\varphi", "type": "constant"}, {"displayLabel": "\\varpi", "label": "\\varpi", "type": "constant"}, {"displayLabel": "\\varprojlim", "label": "\\varprojlim", "type": "constant"}, {"displayLabel": "\\varpropto", "label": "\\varpropto", "type": "constant"}, {"displayLabel": "\\varrho", "label": "\\varrho", "type": "constant"}, {"displayLabel": "\\varsigma", "label": "\\varsigma", "type": "constant"}, {"displayLabel": "\\varsubsetneq", "label": "\\varsubsetneq", "type": "constant"}, {"displayLabel": "\\varsubsetneqq", "label": "\\varsubsetneqq", "type": "constant"}, {"displayLabel": "\\varsupsetneq", "label": "\\varsupsetneq", "type": "constant"}, {"displayLabel": "\\varsupsetneqq", "label": "\\varsupsetneqq", "type": "constant"}, {"displayLabel": "\\vartheta", "label": "\\vartheta", "type": "constant"}, {"displayLabel": "\\vartriangle", "label": "\\vartriangle", "type": "constant"}, {"displayLabel": "\\vartriangleleft", "label": "\\vartriangleleft", "type": "constant"}, {"displayLabel": "\\vartriangleright", "label": "\\vartriangleright", "type": "constant"}, {"displayLabel": "\\vcenter", "label": "\\vcenter", "type": "constant"}, {"displayLabel": "\\vdash", "label": "\\vdash", "type": "constant"}, {"displayLabel": "\\vee", "label": "\\vee", "type": "constant"}, {"displayLabel": "\\veebar", "label": "\\veebar", "type": "constant"}, {"displayLabel": "\\vert", "label": "\\vert", "type": "constant"}, {"displayLabel": "\\wedge", "label": "\\wedge", "type": "constant"}, {"displayLabel": "\\wp", "label": "\\wp", "type": "constant"}, {"displayLabel": "\\wr", "label": "\\wr", "type": "constant"}, {"displayLabel": "\\xi", "label": "\\xi", "type": "constant"}, {"displayLabel": "\\zeta", "label": "\\zeta", "type": "constant"},
    {
        "displayLabel": "\\nonumber", "label": "\\nonumber", "type": "constant"
    }
];

const mathSnippetList:Completion[] = [
    {"displayLabel": "\\cite[]{}", "label": "\\cite[#{}]{#{}}", "type": "function"}, {"displayLabel": "\\cite", "label": "\\cite{#{}}", "type": "constant"}, {"displayLabel": "\\DeclareMathOperator{}{}", "label": "\\DeclareMathOperator{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\acute{}", "label": "\\acute{#{}}", "type": "function"}, {"displayLabel": "\\bar{}", "label": "\\bar{#{}}", "type": "function"}, {"displayLabel": "\\binom{}{}", "label": "\\binom{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\boldsymbol{}", "label": "\\boldsymbol{#{}}", "type": "function"}, {"displayLabel": "\\boxed{}", "label": "\\boxed{#{}}", "type": "function"}, {"displayLabel": "\\breve{}", "label": "\\breve{#{}}", "type": "function"}, {"displayLabel": "\\cases{}", "label": "\\cases{#{}}", "type": "function"}, {"displayLabel": "\\cfrac{}{}", "label": "\\cfrac{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\check{}", "label": "\\check{#{}}", "type": "function"}, {"displayLabel": "\\dbinom{}{}", "label": "\\dbinom{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\ddddot{}", "label": "\\ddddot{#{}}", "type": "function"}, {"displayLabel": "\\dddot{}", "label": "\\dddot{#{}}", "type": "function"}, {"displayLabel": "\\ddot{}", "label": "\\ddot{#{}}", "type": "function"}, {"displayLabel": "\\dfrac{}{}", "label": "\\dfrac{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\dot{}", "label": "\\dot{#{}}", "type": "function"}, {"displayLabel": "\\eqref{}", "label": "\\eqref{#{}}", "type": "function"}, {"displayLabel": "\\grave{}", "label": "\\grave{#{}}", "type": "function"}, {"displayLabel": "\\hat{}", "label": "\\hat{#{}}", "type": "function"}, {"displayLabel": "\\hphantom{}", "label": "\\hphantom{#{}}", "type": "function"}, {"displayLabel": "\\int\\limits_{}^{}", "label": "\\int\\limits_{#{}}^{#{}}", "type": "function"}, {"displayLabel": "\\leftroot{}", "label": "\\leftroot{#{}}", "type": "function"}, {"displayLabel": "\\let{}{}", "label": "\\let{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\limits_{}^{}", "label": "\\limits_{#{}}^{#{}}", "type": "function"}, {"displayLabel": "\\llap{}", "label": "\\llap{#{}}", "type": "function"}, {"displayLabel": "\\mathbb{}", "label": "\\mathbb{#{}}", "type": "function"}, {"displayLabel": "\\mathbf{}", "label": "\\mathbf{#{}}", "type": "function"}, {"displayLabel": "\\mathfrak{}", "label": "\\mathfrak{#{}}", "type": "function"}, {"displayLabel": "\\matrix{}", "label": "\\matrix{#{}}", "type": "function"}, {"displayLabel": "\\mspace{}", "label": "\\mspace{#{}}", "type": "function"}, {"displayLabel": "\\nolimits_{}^{}", "label": "\\nolimits_{#{}}^{#{}}", "type": "function"}, {"displayLabel": "\\operatorname{}", "label": "\\operatorname{#{}}", "type": "function"}, {"displayLabel": "\\overbrace{}", "label": "\\overbrace{#{}}", "type": "function"}, {"displayLabel": "\\overleftarrow{}", "label": "\\overleftarrow{#{}}", "type": "function"}, {"displayLabel": "\\overleftrightarrow{}", "label": "\\overleftrightarrow{#{}}", "type": "function"}, {"displayLabel": "\\overline{}", "label": "\\overline{#{}}", "type": "function"}, {"displayLabel": "\\overrightarrow{}", "label": "\\overrightarrow{#{}}", "type": "function"}, {"displayLabel": "\\overset{}{}", "label": "\\overset{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\phantom{}", "label": "\\phantom{#{}}", "type": "function"}, {"displayLabel": "\\pmatrix{}", "label": "\\pmatrix{#{}}", "type": "function"}, {"displayLabel": "\\pmb{}", "label": "\\pmb{#{}}", "type": "function"}, {"displayLabel": "\\prod\\limits_{}^{}", "label": "\\prod\\limits_{#{}}^{#{}}", "type": "function"}, {"displayLabel": "\\rlap{}", "label": "\\rlap{#{}}", "type": "function"}, {"displayLabel": "\\root  \\of ", "label": "\\root #{} \\of #{}", "type": "function"}, {"displayLabel": "\\sideset{}{}{}", "label": "\\sideset{#{}}{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\skew{}{}{}", "label": "\\skew{#{}}{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\smash{}", "label": "\\smash{#{}}", "type": "function"}, {"displayLabel": "\\sqrt{}", "label": "\\sqrt{#{}}", "type": "function"}, {"displayLabel": "\\substack{}", "label": "\\substack{#{}}", "type": "function"}, {"displayLabel": "\\sum_{}^{}", "label": "\\sum_{#{}}^{#{}}", "type": "function"}, {"displayLabel": "\\tag{}", "label": "\\tag{#{}}", "type": "function"}, {"displayLabel": "\\tbinom{}{}", "label": "\\tbinom{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\text{}", "label": "\\text{#{}}", "type": "function"}, {"displayLabel": "\\tfrac{}{}", "label": "\\tfrac{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\tilde{}", "label": "\\tilde{#{}}", "type": "function"}, {"displayLabel": "\\underbrace{}", "label": "\\underbrace{#{}}", "type": "function"}, {"displayLabel": "\\underleftarrow{}", "label": "\\underleftarrow{#{}}", "type": "function"}, {"displayLabel": "\\underleftrightarrow{}", "label": "\\underleftrightarrow{#{}}", "type": "function"}, {"displayLabel": "\\underline{}", "label": "\\underline{#{}}", "type": "function"}, {"displayLabel": "\\underrightarrow{}", "label": "\\underrightarrow{#{}}", "type": "function"}, {"displayLabel": "\\underset{}{}", "label": "\\underset{#{}}{#{}}", "type": "function"}, {"displayLabel": "\\uproot{}", "label": "\\uproot{#{}}", "type": "function"}, {"displayLabel": "\\vec{}", "label": "\\vec{#{}}", "type": "function"}, {"displayLabel": "\\vphantom{}", "label": "\\vphantom{#{}}", "type": "function"}, {"displayLabel": "\\widehat{}", "label": "\\widehat{#{}}", "type": "function"}, {"displayLabel": "\\widetilde{}", "label": "\\widetilde{#{}}", "type": "function"}, {"displayLabel": "\\xleftarrow{}", "label": "\\xleftarrow{#{}}", "type": "function"}, {"displayLabel": "\\xrightarrow{}", "label": "\\xrightarrow{#{}}", "type": "function"}, {"displayLabel": "\\begin{definition}", "label": "\\begin{definition}\n#{}\n\\end{definition}", "type": "namespace"}, {"displayLabel": "\\begin{align}", "label": "\\begin{align}\n#{}\n\\end{align}", "type": "namespace"}, {"displayLabel": "\\begin{align*}", "label": "\\begin{align*}\n#{}\n\\end{align*}", "type": "namespace"}, {"displayLabel": "\\begin{alignat}", "label": "\\begin{alignat}\n#{}\n\\end{alignat}", "type": "namespace"}, {"displayLabel": "\\begin{alignat*}", "label": "\\begin{alignat*}\n#{}\n\\end{alignat*}", "type": "namespace"}, {"displayLabel": "\\begin{aligned}", "label": "\\begin{aligned}\n#{}\n\\end{aligned}", "type": "namespace"}, {"displayLabel": "\\begin{alignedat}", "label": "\\begin{alignedat}\n#{}\n\\end{alignedat}", "type": "namespace"}, {"displayLabel": "\\begin{array}", "label": "\\begin{array}\n#{}\n\\end{array}", "type": "namespace"}, {"displayLabel": "\\begin{Bmatrix}", "label": "\\begin{Bmatrix}\n#{}\n\\end{Bmatrix}", "type": "namespace"}, {"displayLabel": "\\begin{bmatrix}", "label": "\\begin{bmatrix}\n#{}\n\\end{bmatrix}", "type": "namespace"}, {"displayLabel": "\\begin{cases}", "label": "\\begin{cases}\n#{}\n\\end{cases}", "type": "namespace"}, {"displayLabel": "\\begin{CD}", "label": "\\begin{CD}\n#{}\n\\end{CD}", "type": "namespace"}, {"displayLabel": "\\begin{eqnarray}", "label": "\\begin{eqnarray}\n#{}\n\\end{eqnarray}", "type": "namespace"}, {"displayLabel": "\\begin{eqnarray*}", "label": "\\begin{eqnarray*}\n#{}\n\\end{eqnarray*}", "type": "namespace"}, {"displayLabel": "\\begin{equation}", "label": "\\begin{equation}\n#{}\n\\end{equation}", "type": "namespace"}, {"displayLabel": "\\begin{equation*}", "label": "\\begin{equation*}\n#{}\n\\end{equation*}", "type": "namespace"}, {"displayLabel": "\\begin{gather}", "label": "\\begin{gather}\n#{}\n\\end{gather}", "type": "namespace"}, {"displayLabel": "\\begin{gather*}", "label": "\\begin{gather*}\n#{}\n\\end{gather*}", "type": "namespace"}, {"displayLabel": "\\begin{gathered}", "label": "\\begin{gathered}\n#{}\n\\end{gathered}", "type": "namespace"}, {"displayLabel": "\\begin{matrix}", "label": "\\begin{matrix}\n#{}\n\\end{matrix}", "type": "namespace"}, {"displayLabel": "\\begin{multline}", "label": "\\begin{multline}\n#{}\n\\end{multline}", "type": "namespace"}, {"displayLabel": "\\begin{multline*}", "label": "\\begin{multline*}\n#{}\n\\end{multline*}", "type": "namespace"}, {"displayLabel": "\\begin{pmatrix}", "label": "\\begin{pmatrix}\n#{}\n\\end{pmatrix}", "type": "namespace"}, {"displayLabel": "\\begin{smallmatrix}", "label": "\\begin{smallmatrix}\n#{}\n\\end{smallmatrix}", "type": "namespace"}, {"displayLabel": "\\begin{split}", "label": "\\begin{split}\n#{}\n\\end{split}", "type": "namespace"}, {"displayLabel": "\\begin{subarray}", "label": "\\begin{subarray}\n#{}\n\\end{subarray}", "type": "namespace"}, {"displayLabel": "\\begin{Vmatrix}", "label": "\\begin{Vmatrix}\n#{}\n\\end{Vmatrix}", "type": "namespace"}, {"displayLabel": "\\begin{vmatrix}", "label": "\\begin{vmatrix}\n#{}\n\\end{vmatrix}", "type": "namespace"},
    {
        "displayLabel": "\\frac{}{}", 
        "label": "\\frac{#{}}{#{}}", 
        "type": "function"
    },
    {
        "displayLabel": "\\mathcal{}", 
        "label": "\\mathcal{#{}}", 
        "type": "function"
    },
    {
        "displayLabel": "\\rm", 
        "label": "\\rm", 
        "apply": "\{\\rm #{}\}",
        "type": "namespace"}
];

export const mathCompletionList:Completion[] = [...mathKeywordList,  ...mathSnippetList.map(snippet => {
    if (snippet["apply"]) return snippetCompletion((snippet["apply"] as string), snippet);
    return snippetCompletion(snippet["label"], snippet);
}) as Completion[]];